Add keyboard shortcut for "Add Folder" in QT UI

May 28, 2020 15:53 - CJ Kucera

Status: Closed Start date: May 28, 2020

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: plugins/qtui Estimated time: 0.00 hour

Target version: 4.0.4   

Affects version: 4.0.3   

Description

Hello!  The QT UI has a keyboard shortcut for "Add Files," just like the GTK UI did, but GTK's "Add Files" was able to add directories

as well, which was overwhelmingly what I'd use it for.  The "Add Folders" menu item in the QT UI doesn't have a shortcut, though,

and I'd enjoy having one.

I suppose I'd suggest Ctrl+Shift+F for it, which seems unused currently.  I'll attach the patch I'm using to do so on my system, at the

moment.

Thx!

History

#1 - May 28, 2020 19:07 - John Lindgren

I'm hesitating about Ctrl+Shift+F, mainly because of the connection with Ctrl+F = Find.

The existing shortcuts are:

Ctrl[+Shift]+O = Open[Add] Files

Ctrl[+Shift]+L = Open[Add] URL

To continue with that pattern, what about:

Ctrl[+Shift]+K = Open[Add] Folder

I realize "K" isn't intuitively associated with "Folder", but it's currently unused and near O+L in the QWERTY layout.

#2 - May 28, 2020 19:10 - CJ Kucera

Oh, for sure!  I'd meant to mention that I didn't actually care what the shortcut was.  I'm perfectly happy with Ctrl+Shift+K.  :)

#3 - May 28, 2020 19:21 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed

Cool, I went ahead with Ctrl[+Shift]+K:

https://github.com/audacious-media-player/audacious-plugins/commit/7078570e882d7b3d4182a0cc57b1d0a347e53ff8

I'll probably release 4.0.4 in the next few days, including this addition.
https://github.com/audacious-media-player/audacious-plugins/commit/7078570e882d7b3d4182a0cc57b1d0a347e53ff8


#4 - May 28, 2020 19:27 - CJ Kucera

Awesome, thanks a bunch!

#5 - June 01, 2020 17:20 - John Lindgren

- Target version set to 4.0.4

Files

apoc_add_folder_shortcut.patch 694 Bytes May 28, 2020 CJ Kucera
